Skip to content
Docs

Kill a command

POSThttps://api.vercel.com/v2/sandboxes/sessions/{sessionId}/cmd/{cmdId}/kill
Sends a signal to terminate a running command in a session. The signal can be used to gracefully stop (SIGTERM) or forcefully kill (SIGKILL) the process. The command must still be running for this operation to succeed.
https://api.vercel.com/v2/sandboxes/sessions/{sessionId}/cmd/{cmdId}/kill
const response = await fetch('https://api.vercel.com/v2/sandboxes/sessions/sessionId/cmd/cmdId/kill?teamId=string&slug=string', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"signal": "15"
}),
});
const data = await response.json();
console.log(data);
Response
{
"command": {
"args": [],
"cwd": "/vercel/sandbox",
"durationMs": "1234",
"exitCode": "0",
"id": "cmd_123a6c5209bc3778245d011443644c8d27dc2c50",
"name": "npm",
"sessionId": "sbx_123a6c5209bc3778245d011443644c8d27dc2c50",
"startedAt": "1673123456789"
}
}
AuthorizationbearerToken

Default authentication mechanism

cmdIdstringRequired
The unique identifier of the command to terminate.
sessionIdstringRequired
The unique identifier of the session containing the command.
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
signalnumberRequired
The POSIX signal number to send to the process. Common values: 15 (SIGTERM) for graceful termination, 9 (SIGKILL) for forced termination.
200The command was terminated successfully.
commandobjectRequired
This object represents a command run in a Vercel Sandbox session (v2 API).
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
422Error
429Error
500Error